%define mod_name mod_anyterm
%define mod_so %{mod_name}.so
%define mod_conf 94_%{mod_name}.conf

Summary:	Web-based terminal emulator
Name:		apache-%{mod_name}
Version:	1.1.21
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://anyterm.org
Source0:	http://anyterm.org/download/anyterm-%{version}.tbz2
Source11:	rssh
Source20:	%{mod_conf}
Source30:	%{mod_name}.vhosts.conf
Patch0:		anyterm.html.patched.patch
Patch1:		anyterm.htaccess.patch
Requires:	apache-mpm-prefork >= 2.2.3
Requires:	apache-mod_ssl >= 2.2.3
Requires:	openssl
BuildRequires:	apache-devel >= 2.2.3
BuildRequires:	librote-devel
BuildRequires:	boost-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the Anyterm web-based terminal emulator.

%prep

%setup -q -n anyterm-%{version}
%patch0 -p0
%patch1 -p0

cp %{SOURCE11} rssh
cp %{SOURCE20} %{mod_conf}
cp %{SOURCE30} anyterm_vhosts.conf

%build
%serverbuild

pushd apachemod
%make APR_CONFIG=apr-1-config \
    APXS="%{_sbindir}/apxs" \
    ROTE_PRIVATE_DIR="%{rotedir}"
popd

pushd anygetty
%make
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/www/anyterm

install -m0644 anyterm_vhosts.conf %{buildroot}%{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}
install -m0700 rssh %{buildroot}%{_bindir}/rssh
install -m0755 anygetty/anygetty %{buildroot}%{_bindir}/anygetty

pushd apachemod
%makeinstall \
    APXS="%{_sbindir}/apxs -S LIBEXECDIR=%{buildroot}%{_libdir}/apache-extramodules"
    mv %{buildroot}%{_libdir}/apache-extramodules/anyterm.so %{buildroot}%{_libdir}/apache-extramodules/%{mod_so}
popd

pushd browser
    find . ! -name "*~" -print | cpio --quiet -pmd %{buildroot}/var/www/anyterm
popd

pushd %{buildroot}/var/www/anyterm
    rm -f .htaccess
    ln -s anyterm.html index.html 
popd

%post
if [ ! -f %{_sysconfdir}/pki/tls/certs/anyterm.crt ]; then 
    openssl genrsa 1024 > %{_sysconfdir}/pki/tls/certs/anyterm.key
    openssl req -new -key %{_sysconfdir}/pki/tls/certs/anyterm.key -out %{_sysconfdir}/pki/tls/certs/anyterm.csr -batch
    openssl req -x509 -days 10000 -key %{_sysconfdir}/pki/tls/certs/anyterm.key -in \
    %{_sysconfdir}/pki/tls/certs/anyterm.csr -out %{_sysconfdir}/pki/tls/certs/anyterm.crt
fi
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/vhosts.d/anyterm_vhosts.conf
%attr(0755,root,root) %{_bindir}/rssh
%attr(04550,root,apache) %{_bindir}/anygetty
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
/var/www/anyterm


%changelog
* Sat Mar 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.21-2mdv2008.1
+ Revision: 182101
- rebuild

* Tue Feb 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.21-1mdv2008.1
+ Revision: 175244
- rediffed P0
- 1.1.21

* Tue Feb 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.20-1mdv2008.1
+ Revision: 173105
- 1.1.20

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.17-2mdv2008.1
+ Revision: 170702
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Jan 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.17-1mdv2008.1
+ Revision: 152819
- 1.1.17
- rediffed P0,P1
- dropped upstream implemented P2
- reworked the config

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-9mdv2008.1
+ Revision: 112113
- make it link against new boost_thread-mt
- fix deps

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-8mdv2008.0
+ Revision: 82512
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-7mdv2008.0
+ Revision: 65617
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-6mdv2007.1
+ Revision: 140604
- rebuild

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.15-5mdv2007.0
+ Revision: 79837
- fix deps and config
- Import apache-mod_anyterm

* Mon Jun 19 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.15-4mdv2007.0
- 1.1.15
- fix buildrequires for x86_64
- fix build (use apr-1-config instead of apr-config)
- mkrel

* Fri Sep 30 2005 Antoine Ginies <aginies@n1.mandriva.com> 1.1.5-3mdk
- increase anyterm to 37x140

* Fri Sep 30 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-2mdk
- fix missing ssl key

* Fri Sep 30 2005 Antoine Ginis <aginies@n1.mandriva.com> 1.1.5-1mdk
- first release for mandriva

* Mon Jun 13 2005 Carl D. Roth <roth@ursus.net> - 
- Initial build.

